LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices


Reply
  Search this Thread
Old 11-24-2005, 01:50 PM   #1
FooB
LQ Newbie
 
Registered: Dec 2004
Posts: 14

Rep: Reputation: 0
Problem with ATi Radeon 9600


hmm..

well, im very new to linux (i started yesterday) and i have recently installed OpenSuSE 10 on my machine. i downloaded the lastest drivers from the ATi website and (seemingly) installed them correctly using the ATI installer. YaST reports my drivers as being installed.

however, everytime i try to run a 3d game (Neverball, to be presice) it keeps telling me that i either have no 3d accellerator card installed, or it is not configured. i have ran fglrxconfig numerous times still to no avail. has anyone else had this problem, or similar problems that they fixed? or just how to "configure" the card. i have looked at another thread on this forum about a similar problem which mentioned something about looking in LSMOD and using modprobe. if i type "modprobe fglrx" i get command not found. ill post my terminal log for lsmod below

please let me know what other information to provide, and where to get it. ill provide what i can right now.

PC Spec:

AMD Athlon 64 3000+
ABIT AV8 uGuru Motherboard.
80GB Hitachi 7200rpm IDE HDD
ATi Radeon 9600 128MB
Soundblaster Live! 24-Bit
1GB PC3200 DDR Crucial RAM (Dual Channel)

LSMOD TERMINAL LOG:

norman@linux:~> lsmod
Module Size Used by
hfsplus 75140 0
vfat 12800 0
fat 49692 1 vfat
subfs 7552 1
speedstep_lib 4228 0
freq_table 4612 0
snd_pcm_oss 59168 0
snd_mixer_oss 18944 1 snd_pcm_oss
snd_seq 51984 0
button 7056 0
battery 10244 0
ac 5252 0
af_packet 21384 0
edd 9824 0
usbhid 43616 0
snd_via82xx 28096 1
gameport 14600 1 snd_via82xx
snd_ca0106 28708 1
snd_mpu401_uart 7296 1 snd_via82xx
snd_rawmidi 24864 1 snd_mpu401_uart
ohci1394 32820 0
ieee1394 97208 1 ohci1394
snd_ac97_codec 90876 2 snd_via82xx,snd_ca0106
snd_seq_device 8588 2 snd_seq,snd_rawmidi
i2c_viapro 8080 0
ehci_hcd 32136 0
via_velocity 32928 0
uhci_hcd 32016 0
amd64_agp 11976 1
agpgart 33096 1 amd64_agp
snd_pcm 93064 4 snd_pcm_oss,snd_via82xx,snd_ca0106,snd_ac97_codec
snd_timer 24452 2 snd_seq,snd_pcm
snd 60420 15 snd_pcm_oss,snd_mixer_oss,snd_seq,snd_via82xx,snd_ca0106,snd_mpu401_uart,snd_rawmidi,snd_ac97_codec, snd_seq_device,snd_pcm,snd_timer
usbcore 112640 4 usbhid,ehci_hcd,uhci_hcd
crc_ccitt 2176 1 via_velocity
snd_ac97_bus 2432 1 snd_ac97_codec
snd_page_alloc 10632 3 snd_via82xx,snd_ca0106,snd_pcm
generic 4484 0 [permanent]
saa7134 109908 0
video_buf 20868 1 saa7134
v4l2_common 5760 1 saa7134
v4l1_compat 13060 1 saa7134
soundcore 9184 2 snd,saa7134
i2c_core 20368 2 i2c_viapro,saa7134
ir_common 8196 1 saa7134
videodev 9088 1 saa7134
shpchp 88676 0
pci_hotplug 26164 1 shpchp
ipv6 242752 10
parport_pc 38980 1
lp 11460 0
parport 33864 2 parport_pc,lp
dm_mod 54972 0
reiserfs 250480 1
fan 4996 0
thermal 14472 0
ide_cd 39684 1
cdrom 36896 1 ide_cd
processor 24252 1 thermal
via82cxxx 13212 0 [permanent]
sata_via 8836 0
libata 48516 1 sata_via
sd_mod 18576 0
scsi_mod 131304 2 libata,sd_mod
ide_disk 17152 3
ide_core 122380 4 generic,ide_cd,via82cxxx,ide_disk
norman@linux:~> modprobe fglrx
bash: modprobe: command not found
norman@linux:~>
 
Old 11-24-2005, 01:59 PM   #2
FooB
LQ Newbie
 
Registered: Dec 2004
Posts: 14

Original Poster
Rep: Reputation: 0
oh, and this is what my fglrxinfo reads

norman@linux:~> fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 (1.5 Mesa 6.2.1)
 
Old 11-24-2005, 03:45 PM   #3
den15
Member
 
Registered: Oct 2005
Distribution: zenwalk
Posts: 88

Rep: Reputation: 15
kernel 2.6.x supose? i had the same problem. than i red somwhere that ATi drivers don't work so nice with 2.6. i am using now 2.4.32 and everything works fine.
 
Old 11-25-2005, 06:53 AM   #4
FooB
LQ Newbie
 
Registered: Dec 2004
Posts: 14

Original Poster
Rep: Reputation: 0
well, how would i go about changing it?
 
Old 11-25-2005, 01:13 PM   #5
ioerror
Member
 
Registered: Sep 2005
Location: Old Blighty
Distribution: Slackware, NetBSD
Posts: 536

Rep: Reputation: 34
Quote:
norman@linux:~> modprobe fglrx
bash: modprobe: command not found
Um, you need to be root to load modules. You shouldn't need to load it manually anyway.

Quote:
kernel 2.6.x supose? i had the same problem. than i red somwhere that ATi drivers don't work so nice with 2.6. i am using now 2.4.32 and everything works fine.
My 9800 is working fine with 2.6.13.3.

Sometimes, you need to rebuild the module manually (as root):

cd /lib/modules/fglrx/build
./make.sh
cd ..
./make_install.sh

or something like that.
 
Old 12-01-2005, 01:27 PM   #6
den15
Member
 
Registered: Oct 2005
Distribution: zenwalk
Posts: 88

Rep: Reputation: 15
Unhappy

: ) now i have the same problem with 2.6.14.3 kernel. when i try to rebuild the module, or to install old driver than this happens


/lib/modules/fglrx# ./sh make_install.sh
- creating symlink
- recreating module dependency list
- trying a sample load of the kernel module
FATAL: Error inserting fglrx (/lib/modules/2.6.14.3/kernel/drivers/char/drm/fglrx.ko): Operation not permitted
failed.

does anyone have a clue what can i do now?
 
Old 12-02-2005, 10:42 AM   #7
ioerror
Member
 
Registered: Sep 2005
Location: Old Blighty
Distribution: Slackware, NetBSD
Posts: 536

Rep: Reputation: 34
you are executing this as root, right?
 
Old 12-02-2005, 02:07 PM   #8
den15
Member
 
Registered: Oct 2005
Distribution: zenwalk
Posts: 88

Rep: Reputation: 15
yep.. i'v just tryed to apply a patch, and... it wont work...


/lib/modules/fglrx/build_mod# patch -p1 < fglrx-2.6.14-compat_ioctl.patch
patching file firegl_public.c
Hunk #1 succeeded at 123 (offset 1 line).
Hunk #3 succeeded at 268 (offset 1 line).
Hunk #4 succeeded at 2374 (offset 144 lines).
root@den:/lib/modules/fglrx/build_mod# sh make.sh
ATI module generator V 2.0
==========================
initializing...
make.sh: line 518: [: =: unary operator expected
cleaning...
patching 'highmem.h'...
assuming new VMA API since we do have kernel 2.6.x...
doing Makefile based build for kernel 2.6.x and higher
make -C /lib/modules/2.6.14.3/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/linux-2.6.14.3'
CC [M] /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
In file included from /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:135:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.h:266:5: warning: "FIREGL_VMA_INFO" is not defined
In file included from /lib/modules/fglrx/build_mod/2.6.x/drm_proc.h:41,
from /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:308:
/lib/modules/fglrx/build_mod/2.6.x/drmP.h:561:5: warning: "__HAVE_VBL_IRQ" is not defined
/lib/modules/fglrx/build_mod/2.6.x/drmP.h:664:5: warning: "__HAVE_VBL_IRQ" is not defined

root@den:/lib/modules/fglrx/build_mod# cd ..
root@den:/lib/modules/fglrx# sh make_install.sh
- creating symlink
- recreating module dependency list
- trying a sample load of the kernel module
FATAL: Error inserting fglrx (/lib/modules/2.6.14.3/kernel/drivers/char/drm/fglrx.ko): Unknown symbol in module, or unknown parameter (see dmesg)
failed.

: ( any idea?
 
Old 12-04-2005, 10:11 AM   #9
den15
Member
 
Registered: Oct 2005
Distribution: zenwalk
Posts: 88

Rep: Reputation: 15
I'v found soultion, answered by Hyakutake, here:

http://www.linuxquestions.org/questi...76#post1982476
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Debian ATI Radeon 9600 Problem exark237 Linux - Hardware 4 03-30-2006 11:36 AM
ATI Radeon 9600 SE mlerch Linux - Newbie 2 09-19-2005 10:27 PM
ATI Radeon 9600 XT jgold03 Linux - Hardware 2 05-23-2004 12:07 PM
ATI Radeon 9600 drivers problem Zig Linux - Hardware 15 03-19-2004 02:06 PM
ATI Radeon 9600 TV-Out? siberian_laika Linux - Hardware 1 12-09-2003 09:17 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware

All times are GMT -5. The time now is 12:52 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration